org.eclipse.mat.query

## Interface IResultTree

All Superinterfaces:
  IResult, IStructuredResult

All Known Implementing Classes:
  BigDropsQuery, BundleRegistryQuery.BundleTreeResult, BundleRegistryQuery.ExtensionTreeResult, BundleRegistryQuery.ServicesTreeResult, ClassReferrersQuery.InboundClasses, ClassReferrersQuery.OutboundClasses, CompareTablesQuery.ComparisonResultTree, DominatorQuery.Tree, DuplicatedClassesQuery, Histogram.ClassLoaderTree, Histogram.PackageTree, Histogram.SuperclassTree, MultiplePath2GCRootsQuery.Tree, ObjectListResult.Inbound, ObjectListResult.Outbound, Path2GCRootsQuery.Tree, RefinedTree

    public interface IResultTree
    extends IStructuredResult

Interface for results in tree-form.

### Method Summary

All Methods Instance Methods Abstract Methods
`List<?>` `getChildren(Object parent)` Returns the child elements of the given parent.
`List<?>` `getElements()` Returns the root elements of the tree.
`boolean` `hasChildren(Object element)` Returns whether the given element has children.

### Methods inherited from interface org.eclipse.mat.query.IStructuredResult

`getColumns, getColumnValue, getContext`

### Methods inherited from interface org.eclipse.mat.query.IResult

`getResultMetaData`

### Method Detail

#### getElements

    List<?> getElements()

Returns the root elements of the tree.

Returns:
  list of elements which can be passed to `getChildren(Object)` or `IStructuredResult.getContext(Object)` or `IStructuredResult.getColumnValue(Object, int)`.

#### hasChildren

    boolean hasChildren(Object element)

Returns whether the given element has children.

Parameters:
  `element` - the opaque object used to indicate which branch
Returns:
  true if this element has children

#### getChildren

    List<?> getChildren(Object parent)

Returns the child elements of the given parent.

Parameters:
  `parent` - The row object as returned by the `getElements()` or `getChildren(Object)` methods.
Returns:
  a list of children of this branch of the tree